local Assets =
{
	Asset("ANIM", "anim/cook_pot_food.zip"),
    Asset("ATLAS", "images/inventoryimages/coffee.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

	MakeInventoryPhysics(inst)
	MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	
	inst.AnimState:SetBank("coffee")
	inst.AnimState:SetBuild("coffee")
	inst.AnimState:PlayAnimation("idle", false)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/coffee.xml"

    inst:AddTag("preparedfood")	
	
    inst:AddComponent("edible")
	inst.components.edible.foodtype = "MEAT"
    inst.components.edible.healthvalue = -TUNING.HEALING_SMALL
    inst.components.edible.hungervalue = TUNING.CALORIES_TINY
	inst.components.edible.sanityvalue = -TUNING.SANITY_TINY
	inst.components.edible.caffeinedelta = TUNING.CAFFEINE_FOOD_BONUS_SPEED
	inst.components.edible.caffeineduration = TUNING.FOOD_SPEED_LONG*0.5

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
	
    inst:AddComponent("bait")

	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	return inst
end


return Prefab( "common/inventory/coffee", fn, Assets )